About macros (definition)

» Macros > About macros

About macros

A macro is a list of prerecorded instructions that performs a specific series of tasks on demand. You can create and store multiple macros. When macros are created and saved, they can be repeatedly used.

You might want to create macros to:

  • Run a series of reports while you are not in the office. You can create a macro that prints selected reports to the printer or a series of print files. Just start the macro before you leave the office.
  • At the end of the day, print to a printer the journals that you have printed to files during the day.
  • Perform file maintenance at the end of the month. After performing your backup routine, use a macro to compact your most often used files.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.

More resources

For additional online resources for Sage products, visit the Sage Customer Portal. Use the portal to access the knowledgebase, chat online with customer support, or enter a customer support ticket.

For additional training on Sage products, visit Sage University.


Create macros

  1. From the Tools menu, select Macros.
  2. Click [Add Step].
  3. Select the commands representing the actions you want completed when the macro runs. Commands that appear in gray are not available for use in macros.
  4. If prompted for file names, enter the file names to use when the macro runs. If a Print Selection window opens, make print selections as needed.
  5. If the macro is for a series of reports, enter the report information, and decide whether the report prompt fields can be changed when the macro runs.
  6. When prompted, select whether to continue with the macro if this step fails, or discontinue if it fails. A macro step could fail if the disk is full, the printer is offline, conditions for a report cannot be met, or a required file does not exist.
  7. Continue working with the macro by clicking [Add Step] to add more steps, [Insert Step] to insert steps above selected steps, [Delete Step] to remove selected steps, and [Change Step] to modify selected steps.
  8. Click [Save As], assign a name for this macro, and click [Save]. If you use the same name as another macro, the old macro is overwritten, not added to.
  9. Continue setting up another macro by clicking [New], or click [Close] to exit.
  10. Run each macro to test if it is working properly.

How?

Tip: We recommend saving all macros since you can probably use the same macro or make small adjustments and use it at a later time.

Note: Macro steps are performed in consecutive order as listed in the Macros window.

Change macros

About macros (definition)

Print macros

Run macros

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.

More resources

For additional online resources for Sage products, visit the Sage Customer Portal. Use the portal to access the knowledgebase, chat online with customer support, or enter a customer support ticket.


Change macros

Overview

When you change a macro, you modify the steps that were originally set up. You can add, delete, insert, or change steps in a macro. You may need to modify a macro if it is not working properly or if it needs additional or fewer steps.

  1. From the Tools menu, select Macros.
  2. Click [Open], select the macro you want to change, and click [Open].
  3. Modify the macro by clicking [Add Step] to add a step at the end of the step list, [Insert Step] to insert a step above the selected step, [Delete Step] to remove the selected step, and [Change Step] to modify step (for example, to change the file used in the step, to change where the output prints, or to continue with the next macro step if a macro step is unsuccessful).
  4. Click [Save] to save the changes to the same macro you opened. Or, click [Save As], assign a new name to the macro, and click [Save].
  5. Click [Close] to exit.

Tip: You can double-click a macro step to change it or view your selections.

About macros (definition)

Delete macros

Print macros

Run macros

Create macros

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.

More resources


Run macros

Overview

When you have created a macro to perform a series of tasks and you want to start performing those tasks, run the macro. You can run a macro that has been previously created and saved, or you can create a macro and run it one time only.

  1. Create a macro.

How?

  2. From the Tools menu, select Macros.
  3. Click [Open], select the macro you want to run, and click [Open].
  4. Click [Run].
  5. Complete all windows that prompt you for information. The macro begins processing in the background.
  6. If desired, click [Log] to view the macro log file.
  7. Click [Close].

Tip:

  • Macros can also be run by double-clicking a shortcut that you created or by double-clicking a macro file (MAC) in Explorer.
  • The macro log file name is the macro name (at the time it was run) combined with LOG as the extension, e.g., BONUSES.LOG.
  • Macro log files can also be viewed and printed by double-clicking a macro log file (LOG) in Explorer.

Change macros

About macros (definition)

Print macros

Create macros

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Print macros

Overview

Use to print the contents of a macro. The report lists each step in the macro, the files used, print options selected, and whether to continue with the next macro step if the previous macro step is unsuccessful.

  1. From the Tools menu, select Macros.
  2. Click [Open], select the desired macro, and click [Open].
  3. From the File menu, select Print.
  4. Make print selections as needed.
  5. Click [Start].

Change macros

Delete macros

Run macros

Create macros

Troubleshoot Help topics

Printing from print selection window

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Delete macros

  1. From the Tools menu, select Macros.
  2. Click [Open], select the macro you want to delete, and click [Open].
  3. Verify that this is the macro you want to delete.
  4. Click [Delete].
  5. Click [Yes] when asked to verify that you want to delete this macro.
  6. Click [Close].

Note: Deleting a macro also deletes its corresponding macro log file.

Print macros

Run macros

Create macros

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Macros window

Use to create, run, and modify macros. Macros are used to automate series of tasks you want to perform. For example, a macro can automatically print several long reports without your interaction after the macro has begun.

Change macros

Delete macros

Print macros

Create macros

Items In This List

Step list

Displays the following information about the steps in the macro:

  • Application - The application that performs this step.
  • Task - The description of this step.
  • Terminate if Unsuccessful? - Displays Yes if the macro stops processing if the step cannot be executed, and displays No if the macro continues to the next step if the current step cannot be executed.

[New]

Closes the macro you are currently viewing and creates a new macro named Untitled.

[Open]

Displays the Open Macro window to open an existing macro.

[Save]

Saves the macro you are changing.

[Save As]

Opens the Save Macro As window to save a new macro or to save an existing macro with a new name.

[Delete]

Deletes the macro you are currently viewing and its corresponding macro log file. The files are sent to the Recycle Bin.

[Run]

Begins processing the macro you are currently viewing.

[Log]

Opens the Print Preview window to view the log file for the current macro. The macro log file is only available after running the macro. The name of the macro log file is always the name of the macro that was run with LOG as the extension.

[Add Step]

Opens the Add Step window to add a step to this macro at the end of the step list.

[Delete Step]

Deletes the selected step.

[Insert Step]

Opens the Insert Step window to include an additional step before the selected step.

[Change Step]

Opens the appropriate window(s) to change the selected step. You also can double-click a macro step to change it. If security is activated and you do not have permission to perform the task in the selected step, you cannot change the step.

[Close]

Closes the macro and returns to the main application window.

[Help]

Starts Help and displays information about this window.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Add Step window

Use to add a step to the macro by selecting a command from a menu. Commands that appear in gray cannot be included in the macro. The new step is added as the first step in the macro if there are no existing steps; otherwise, the new step is added as the last step in the macro.

Note: Be sure to leave the Add Step window open while selecting a command from the menu bar. If you close or cancel the Add Step window, no commands will be available.

Change macros

Create macros

Items In This Window

[Cancel]

Closes this window without adding a step to the macro.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Insert Step window

Use to insert a step in the macro by selecting a command from a menu. Commands that appear in gray cannot be included in the macro. The new step is inserted above the currently highlighted step in the step list.

Note: Be sure to leave the Insert Step window open while selecting a command from the menu bar. If you close or cancel the Insert Step window, no commands will be available.

Change macros

Create macros

Items In This Window

[Cancel]

Closes this window without inserting a step into the macro.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Macro Completion window

Use to determine how the macro should respond if a step does not complete successfully when processing.

Change macros

Run macros

Create macros

Items In This Window

If this step is unsuccessful

Select how the macro should respond when a step does not complete successfully while the macro is processing:

  • Continue with remaining steps in macro - continues processing the next step of the macro.
  • Terminate macro immediately - ends processing of the macro and does not complete any remaining steps.

[OK]

Accepts the current selection and closes this window.

[Cancel]

Closes this window without adding or changing the macro step.

[Help]

Starts Help and displays information about this window.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Macro windows

Add Step

Insert Step

Macro Completion

Macros

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Macros version

Macros Help

Macros.chm version 12.1.0

April 13, 2012

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Macros (Tools menu)

Use to create, run, and modify macros. Macros are used to automate series of tasks.

Macro windows

About macros (definition)

Run macros

Create macros

Items In This Window

Macros

Use to create, run, and modify macros. See Creating macros for detailed instructions.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Overview: Changing macros

Overview

When you change a macro, you modify the steps that were originally set up. You can add, delete, insert, or change steps in a macro. You may need to modify a macro if it is not working properly or if it needs additional or fewer steps.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Overview: Print macros

Overview

Use to print the contents of a macro. The report lists each step in the macro, the files used, print options selected, and whether to continue with the next macro step if the previous macro step is unsuccessful.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Overview: Running macros

Overview

When you have created a macro to perform a series of tasks and you want to start performing those tasks, run the macro. You can run a macro that has been previously created and saved, or you can create a macro and run it one time only.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Troubleshoot Help topics

If you click [Help] in a dialog box, the resulting Help topics may be limited to a specific subject. If you do not see the subjects that you are looking for, close Help; then restart Help from the Help > Help Topics menu. This opens a more comprehensive form of Help.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.